
QGIS Application - Bug report #3527

Crash when removing layers from project

2011-02-26 03:22 AM - Donkagen2 -

Status: Closed

Priority: Low

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 13587

Description

When removing layers from a large project (e.g. 700k project file) there are two problems:

1) Removing a layer or group of layers can take some time but there is no visual indicator of activity (e.g. cursor change to hourglass) and

behaviour seems undefined while the removal is in progress.

2) Sometimes, even without any user activity after the Remove is started, QGIS crashes.

Single layers seem to remove (relatively) safely - the problem seems much more likely to occur when deleting groups of layers, especially

rasters.

History

#1 - 2011-04-13 01:03 PM - Mayeul Kauffmann

I could not make it crash myself with many vector layers (on Kubuntu 10.10), but I noticed the following, which may be related tot he slowness problem:

Having a project with:

- 6 vector layers (shapefiles and postgis connections)

 - one group of 10 vector layers (gpx/track)

 - one openlayer layer (Google satellite, visible)

 - one openlayer layer (OSM, unchecked)

When I deleted the group of gpx/track) vector layers, the map was updated after the removal of each one of the 10 layers (which was quite slow).

#2 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2011-12-23 07:02 AM - Giovanni Manghi

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

see also #3970

#4 - 2011-12-23 07:14 AM - Giovanni Manghi

When I deleted the group of gpx/track) vector layers, the map was updated after the removal of each one of the 10 layers (which was quite slow).
added this case to #2596

#5 - 2011-12-23 07:35 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed

The hourglass is now shown when removing layers/groups, at least on qgis-master.

I cannot replicate to get the crash on qgis-master on Windows/osgeo4w and on Ubuntu Linux. I tested removing may times groups of rasters and

PostGIS/Shapes vectors. Please test again and reopen if necessary preferably by adding a project/layers to help replicate the issue. Eventually try also

remove any 3rd party plugin.

The refresh issue when removing groups has been added to the proper ticket #2596
